package com.beanpodtech.allinone.bean;

import java.util.List;

public class ClassTypeBean extends BaseRequestBean{

    private List<HighOneClassBean> highOneClass;
    private List<HighTwoClassBean> highTwoClass;
    private List<HightThreeClassBean> hightThreeClass;
    private List<SpecialBean> special;

    public List<HighOneClassBean> getHighOneClass() {
        return highOneClass;
    }

    public void setHighOneClass(List<HighOneClassBean> highOneClass) {
        this.highOneClass = highOneClass;
    }

    public List<HighTwoClassBean> getHighTwoClass() {
        return highTwoClass;
    }

    public void setHighTwoClass(List<HighTwoClassBean> highTwoClass) {
        this.highTwoClass = highTwoClass;
    }

    public List<HightThreeClassBean> getHightThreeClass() {
        return hightThreeClass;
    }

    public void setHightThreeClass(List<HightThreeClassBean> hightThreeClass) {
        this.hightThreeClass = hightThreeClass;
    }

    public List<SpecialBean> getSpecial() {
        return special;
    }

    public void setSpecial(List<SpecialBean> special) {
        this.special = special;
    }

    public static class HighOneClassBean {
        /**
         * className : 同步筑基(高一)
         * classId : 1
         * coverUrl : 图片地址
         */

        private String className;
        private String classId;
        private String coverUrl;

        public String getClassName() {
            return className;
        }

        public void setClassName(String className) {
            this.className = className;
        }

        public String getClassId() {
            return classId;
        }

        public void setClassId(String classId) {
            this.classId = classId;
        }

        public String getCoverUrl() {
            return coverUrl;
        }

        public void setCoverUrl(String coverUrl) {
            this.coverUrl = coverUrl;
        }
    }

    public static class HighTwoClassBean {
        /**
         * className : 同步筑基(高一)
         * classId : 1
         * coverUrl : 图片地址
         */

        private String className;
        private String classId;
        private String coverUrl;

        public String getClassName() {
            return className;
        }

        public void setClassName(String className) {
            this.className = className;
        }

        public String getClassId() {
            return classId;
        }

        public void setClassId(String classId) {
            this.classId = classId;
        }

        public String getCoverUrl() {
            return coverUrl;
        }

        public void setCoverUrl(String coverUrl) {
            this.coverUrl = coverUrl;
        }
    }

    public static class HightThreeClassBean {
        /**
         * className : 同步筑基(高一)
         * classId : 1
         * coverUrl : 图片地址
         */

        private String className;
        private String classId;
        private String coverUrl;

        public String getClassName() {
            return className;
        }

        public void setClassName(String className) {
            this.className = className;
        }

        public String getClassId() {
            return classId;
        }

        public void setClassId(String classId) {
            this.classId = classId;
        }

        public String getCoverUrl() {
            return coverUrl;
        }

        public void setCoverUrl(String coverUrl) {
            this.coverUrl = coverUrl;
        }
    }

    public static class SpecialBean {
        /**
         * className : 同步筑基(高一)
         * classId : 1
         * coverUrl : 图片地址
         */

        private String className;
        private String classId;
        private String coverUrl;

        public String getClassName() {
            return className;
        }

        public void setClassName(String className) {
            this.className = className;
        }

        public String getClassId() {
            return classId;
        }

        public void setClassId(String classId) {
            this.classId = classId;
        }

        public String getCoverUrl() {
            return coverUrl;
        }

        public void setCoverUrl(String coverUrl) {
            this.coverUrl = coverUrl;
        }
    }
}
